Name:           rcs
Summary:        Revision Control System (RCS) file version management tools
Version:        5.9.4
Release:        %mkrel 5
License:        GPLv3+
Group:          Development/Tools
URL:            http://www.gnu.org/software/rcs/rcs.html
Source0:        ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz
Patch1:         rcs-5.9.4-mga-ignore-tests.patch

BuildRequires:  autoconf
BuildRequires:  ed
BuildRequires:  groff

Requires:       diffutils

%description
The Revision Control System (RCS) is a system for managing multiple
versions of files.  RCS automates the storage, retrieval, logging,
identification and merging of file revisions.  RCS is useful for text
files that are revised frequently (for example, programs,
documentation, graphics, papers and form letters).

The rcs package should be installed if you need a system for managing
different versions of files.


%prep
%autosetup -p1

%build
#autoreconf -fis
%if "%{version}" <= "5.9.4"
# (blino) fix taken from Fedora
# FIXME: Package suffers from c11/inline issues
# Fall back to c99
# Proper fix would be to fix the source-code
CFLAGS="${RPM_OPT_FLAGS} -std=c99"
%endif
%configure

%make_build

%install
%make_install
install -m 755 src/rcsfreeze %{buildroot}%{_bindir}

rm -f %{buildroot}%{_infodir}/dir

%check
%make_build check

%files
%doc ChangeLog COPYING THANKS NEWS README
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man[15]/*


%changelog
* Tue Mar 17 2020 danf <danf> 5.9.4-5.mga8
+ Revision: 1557129
- Ignore a bad test
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 13 2018 tv <tv> 5.9.4-4.mga7
+ Revision: 1258816
- rely on filetriggers for info pages + missing info-install deps (mga#23534)
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 12 2016 umeabot <umeabot> 5.9.4-3.mga6
+ Revision: 958902
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 blino <blino> 5.9.4-2.mga6
+ Revision: 887806
- fix build of inlines with gcc5 by passing -std=c99 (from Fedora)

* Mon Feb 09 2015 luigiwalser <luigiwalser> 5.9.4-1.mga5
+ Revision: 814466
- 5.9.4

* Wed Oct 15 2014 umeabot <umeabot> 5.9.2-3.mga5
+ Revision: 740857
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.9.2-2.mga5
+ Revision: 688622
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 luigiwalser <luigiwalser> 5.9.2-1.mga4
+ Revision: 559716
- 5.9.2

* Mon Oct 21 2013 umeabot <umeabot> 5.9.1-2.mga4
+ Revision: 539686
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 luigiwalser <luigiwalser> 5.9.1-1.mga4
+ Revision: 492734
- 5.9.1

* Sun May 26 2013 blino <blino> 5.9.0-1.mga4
+ Revision: 428222
- drop merged patches
- 5.9.0

* Sat Apr 06 2013 kamil <kamil> 5.8.2-1.mga3
+ Revision: 408633
- new version 5.8.2

* Mon Jan 14 2013 umeabot <umeabot> 5.8.1-4.mga3
+ Revision: 380217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 5.8.1-3.mga3
+ Revision: 324758
- rebuild for Mga3 Beta1
+ malo <malo>
- update RPM group

* Thu Jun 21 2012 kamil <kamil> 5.8.1-1.mga3
+ Revision: 262517
- new version 5.8.1
- drop P0, use upstream configuration for the man pages to install

* Wed Jan 18 2012 kamil <kamil> 5.8-1.mga2
+ Revision: 197735
- fix installing of info-pages
- add requirement on diffutils

* Mon Jan 16 2012 kamil <kamil> 5.8-0.mga2
+ Revision: 196900
- add groff to BR
- new version 5.8
- drop patches stupidrcs.patch and security.patch
- update URL
- update SOURCES
- new license GPLv3+
- include patches from Fedora
  o include-man-page-for-rcsfreeze.patch
  o same-user-locks.patch
- drop with-diffutils option from configure
- add %%check
- clean .spec

* Mon Feb 14 2011 misc <misc> 5.7-15.mga1
+ Revision: 51618
- imported package rcs

